INTERFACE
SUBROUTINE LAPINEBAD(KST,KPROF,KSTGLO,&
 & PCOLON,PSILON,PGM,PGEMU,PGSQM2,PGECLO,PGESLO,&
 & PGNORDL,PGNORDM,PINDX,PINDY,&
 & PB1,PB15,PGMVT1,PGMVT1S,PGFLT1,PB2,&
 & PINC,KINC,KDIM,KDIM1,KDIM2,&
 & PLON,PLAT,PQX,PQY,&
 & PLON5,PLAT5,PQX5,PQY5,&
 & KL0,KLH0,PDLO,PCLO,PCLOSLD,&
 & PDLAT,PCLA,PCLASLD,PDVER,PVINTW,PVINTWSLD,&
 & PDLO5,PCLO5,PCLOSLD5,PDLAT5,PCLA5,PCLASLD5,PDVER5,PVINTW5,PVINTWSLD5,&
 & PCOSCO,PSINCO,PCOPHI,PSINLA,&
 & PLEV,&
 & KDEP,&
 & KLOCK) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NDGUNG ,NDGUXG ,NDLUNG ,NDLUXG ,NPROMA ,&
 & NFLEVG ,NFLSA ,NFLEN 
USE YOM_YGFL , ONLY : YGFL ,YGFLC
USE YOMSC2 , ONLY : NFLDSLB1 ,NFLDSLB15,NFLDSLB2
USE YOMGMV , ONLY : YT1
USE YOMMP , ONLY : NASLB1
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KSTGLO
REAL(KIND=JPRB) ,INTENT(IN) :: PCOLON(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSILON(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGSQM2(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGECLO(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGESLO(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PINDX(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PINDY(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB1(NASLB1,NFLDSLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: PB15(NASLB1,NFLDSLB15)
INTEGER(KIND=JPIM),INTENT(OUT) :: KINC(KDIM1,KDIM2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PINC(KDIM1,KDIM2)
INTEGER(KIND=JPIM),INTENT(IN) :: KDIM
INTEGER(KIND=JPIM),INTENT(IN) :: KDIM1
INTEGER(KIND=JPIM),INTENT(IN) :: KDIM2
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVT1(NPROMA,NFLEVG,YT1%NDIM)
REAL(KIND=JPRB) ,INTENT(IN) :: PGMVT1S(NPROMA,YT1%NDIMS)
REAL(KIND=JPRB) ,INTENT(IN) :: PGFLT1(NPROMA,NFLEVG,YGFL%NDIM1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB2(NPROMA,NFLDSLB2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLON(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLAT(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQX(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQY(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLON5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLAT5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQX5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQY5(NPROMA,NFLEVG)
INTEGER(KIND=JPIM),INTENT(IN) :: KL0(NPROMA,NFLEVG,0:3)
INTEGER(KIND=JPIM),INTENT(IN) :: KLH0(NPROMA,NFLEVG,0:3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDLO(NPROMA,NFLEVG,0:3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLO(NPROMA,NFLEVG,3,2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLOSLD(NPROMA,NFLEVG,3,2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDLAT(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLA(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLASLD(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDVER(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVINTW(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVINTWSLD(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLO5(NPROMA,NFLEVG,0:3)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLO5(NPROMA,NFLEVG,3,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLOSLD5(NPROMA,NFLEVG,3,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLAT5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLA5(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLASLD5(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PDVER5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVINTW5(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PVINTWSLD5(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOSCO(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSINCO(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOPHI(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSINLA(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLEV(NPROMA,NFLEVG)
INTEGER(KIND=JPIM),INTENT(IN) :: KDEP(NPROMA,NFLEVG)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KLOCK(:)
END SUBROUTINE LAPINEBAD
END INTERFACE
